Publishes SDK analytics events for the given environment.
POST
/
sdk
/
{environmentId}
/
events
Publish SDK events
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"anonymousId": "<string>",
"event": "<string>",
"properties": {},
"type": "track"
}
]
}
'import requests
url = "https://app.dynamicauth.com/api/v0/sdk/{environmentId}/events"
payload = { "events": [
{
"anonymousId": "<string>",
"event": "<string>",
"properties": {},
"type": "track"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: [{anonymousId: '<string>', event: '<string>', properties: {}, type: 'track'}]
})
};
fetch('https://app.dynamicauth.com/api/v0/sdk/{environmentId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Body
application/json
Event Message
List of analytics events to publish
Required array length:
1 - 10 elementsShow child attributes
Show child attributes
Response
Successful response
Last modified on July 24, 2026
Was this page helpful?
Previous
Get environment settingsReturns the project settings and configuration for the specified environment.
Next
⌘I
Publish SDK events
